Grails Build fails with Bamboo 5

Hi,

I upgraded to Bamboo 5 this morning. But after this my Grails builds are failing with the error message:

Exception: java.lang.StackOverflowError thrown from the UncaughtExceptionHandler in thread "main"

The nightly build passed without any problems... Do I have to hange anything else?

Greetings

Alexander

2 answers

1 accepted

Ok I downgraded back to 4.4 and then reugraded to 5.0 and now it works.... really strange....

0 votes

Interesting, is there anything more in the log? Which log is it? Agent/build/server ?

It is the build Log. Here is the part of this task:

command	16-Jul-2013 09:10:44	Substituting variable: ${bamboo.version} with 1.0.400
command	16-Jul-2013 09:10:44	Substituting variable: ${bamboo.buildNumber} with 499
simple	16-Jul-2013 09:10:44	Starting task 'Set Version Number' of type 'com.atlassian.bamboo.plugins.bamboo-grails-plugin:grailsBuilderTaskType'
command	16-Jul-2013 09:10:44	Beginning to execute external process for build 'Server - Deployment - Default Job #499 (BCS-DPM-JOB1-499)'\n ... running command line: \nC:\Users\Administrator\.grails\wrapper\2.2.0\grails-2.2.0\bin\grails.bat set-version 1.0.400.499 -non-interactive\n ... in: E:\bamboo-home\xml-data\build-dir\BCS-DPM-JOB1\Server\n ... using extra environment variables: \nJAVA_HOME=C:\Program Files (x86)\Java\jdk1.7.0\nbamboo_version=1.0.400\nGRAILS_HOME=C:\Users\Administrator\.grails\wrapper\2.2.0\grails-2.2.0\nPath=C:\Program Files (x86)\Java\jdk1.7.0\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;%JAVA_HOME%/bin;%GRAILS_HOME%\bin;%ANT_HOME%/bin;C:\Program Files\adt-bundle-windows-x86_64\sdk\tools;C:\androidsdk\platform-tools;C:\Program Files\Microsoft Windows Performance Toolkit\;C:\Program Files (x86)\Windows Kits\8.0\Windows Performance Toolkit\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files (x86)\Git\bin\n
error	16-Jul-2013 09:10:45	
error	16-Jul-2013 09:10:45	Exception: java.lang.StackOverflowError thrown from the UncaughtExceptionHandler in thread "main"
simple	16-Jul-2013 09:10:45	Failing task since return code of [C:\Users\Administrator\.grails\wrapper\2.2.0\grails-2.2.0\bin\grails.bat set-version 1.0.400.499 -non-interactive] was 1 while expected 0
simple	16-Jul-2013 09:10:45	Finished task 'Set Version Number'

That looks like Grails itself is failing, does it work from the command line when run as the same user (Administrator, I presume)?

Yes the command works fine if I run it from the command line. It also worked before the upgrade of Bamboo, so i assume it has something to do with it...

Suggest an answer

Log in or Join to answer
Community showcase
Renan Battaglin
Published May 18, 2017 in Bamboo

FAQ: How to Upgrade Bamboo Server

Bamboo 5.9 will no longer be supported after June 12, 2017. What does this mean? As part of our End of Life policy, Atlassian supports major versions for two years after the first major iteratio...

1,066 views 0 5
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you
Atlassian Team Tour

Join us on the Team Tour

We're bringing product updates and pro tips on teamwork to ten cities around the world.

Save your spot